iPhone 2.2.1 Firmware Update Breaks Unlock

iPhone 2.2.1 Firmware Update Breaks Unlock

Posted January 27, 2009 at 4:49pm by iClarified · 14 comments · Add Comment
r_dondoy - March 4, 2009 at 10:03pm
how can i use my iphone 3g w/the ver. of 2.2.1(5H11) is there any solution of this problem??
confucious - March 5, 2009 at 3:14am
Either use an official provider or buy a PiggyBag SIM - which might give you some functionality.
angel - May 21, 2009 at 8:11pm
aprender del programa muy interesante
Bidi - March 4, 2009 at 4:00am
What does all this mean?
Confucious - March 4, 2009 at 6:33am
If you don't know, it probably doesn't apply to you. Which carrier do you use your iPhone on. This is only if you want to use your phone on a different carrier to the one it's locked too.
j3p01 - January 28, 2009 at 1:27am
how to jailbreak my brand new 16g, 3g iphone if my iphone version 2.2.1 (5H11)?and i dnt see any firware 1.2.2.2.1_5H11.ipsw, and also can i downgrande this version 2.2.1(5H11) of my iphone or not? need help??? please!! and im using window XP
goom - January 28, 2009 at 2:15am
u can't yet jailbreak the FW 2.2.1 Do u guys REALLY READ the article ?? +_+
Victor - January 28, 2009 at 2:37am
I guess not...... ¬_______¬
Confucious - January 28, 2009 at 3:28am
If you have FW 2.21 then you have BB 2.30.03 - you can't downgrade the BaseBand so cannot use YellowSn0w. A jailbrake should be released soon.
luiskakaroto - January 27, 2009 at 6:34pm
But i still don't get it, it says the 3G will not work if it's updated and that the 2G has remained untouched for 8 months; does this mean that i can upgrade my 2G to 2.2.1 and it will be ok? Will Quickpwn (the last version) work on this update? Sorry if the answer is obvious...
marco Avellino - January 27, 2009 at 8:06pm
on the dev team website is looks like iphone 2g's that have been unlocked before can do this update, but can't be guaranteed a jailbreak, but the unlock will remain. Still haven't done this - awaiting further instructions - iphone 2g
iClarified - January 28, 2009 at 12:47am
@marco, the 2G iPhone will always be unlockable if it can be jailbroken. The 2.2.1 doesn't prevent jailbreaking but you will have to wait for a new version of PwnageTool or QuickPwn before updating. The iPhone 3G on the other hand is not currently unlockable with 2.2.1 even if jailbroken.
goom - January 28, 2009 at 2:14am
No, no, no and NO. that's it.
Confucious - January 28, 2009 at 3:26am
Watch the video on the Dev Team's blog. You can upgrade your FW on the Touch but the jailbrake is not available yet. They are working on it.
Prev 1 of 1 Next
Add Comment
Would you like to be notified when someone replies or adds a new comment?
Yes (All Threads)
Yes (This Thread Only)
No
You must login or register to add a comment...